package com.bocloud.cmp.model.hmc;

public class HmdViosVirtualDiskModel extends HmdGenericModel {
    private String name; // 名称
    private Float capacity; // 容量
    private String label; // 标签
    private String uniqueDeviceId; // 唯一设备id
    private Integer viosAdapterId; // 所属vios适配器id
    private Long assignPartitionId; // 分配的逻辑分区id，对应hmd_partition表的id字段
    private Integer assignAdapterId; // 分配的逻辑分区的适配器id
    private String assignTargetName; // 分配后生成的target的名称
    private String assignTargetUniqueDeviceId; // 分配后生成的target的唯一设备id
    private HmdPartitionModel vios; // 所属vios
    private HmdViosVolumeGroupModel volumeGroup; // 所属存储池
    private HmdPartitionModel assignPartition; // 分配的lpar

    public Float getCapacity() {
        return capacity;
    }

    public void setCapacity(Float capacity) {
        this.capacity = capacity;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }

    public Integer getViosAdapterId() {
        return viosAdapterId;
    }

    public void setViosAdapterId(Integer viosAdapterId) {
        this.viosAdapterId = viosAdapterId;
    }

    public Long getAssignPartitionId() {
        return assignPartitionId;
    }

    public void setAssignPartitionId(Long assignPartitionId) {
        this.assignPartitionId = assignPartitionId;
    }

    public Integer getAssignAdapterId() {
        return assignAdapterId;
    }

    public void setAssignAdapterId(Integer assignAdapterId) {
        this.assignAdapterId = assignAdapterId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAssignTargetName() {
        return assignTargetName;
    }

    public void setAssignTargetName(String assignTargetName) {
        this.assignTargetName = assignTargetName;
    }

    public String getAssignTargetUniqueDeviceId() {
        return assignTargetUniqueDeviceId;
    }

    public void setAssignTargetUniqueDeviceId(String assignTargetUniqueDeviceId) {
        this.assignTargetUniqueDeviceId = assignTargetUniqueDeviceId;
    }

    public HmdPartitionModel getVios() {
        return vios;
    }

    public void setVios(HmdPartitionModel vios) {
        this.vios = vios;
    }

    public HmdViosVolumeGroupModel getVolumeGroup() {
        return volumeGroup;
    }

    public void setVolumeGroup(HmdViosVolumeGroupModel volumeGroup) {
        this.volumeGroup = volumeGroup;
    }

    public HmdPartitionModel getAssignPartition() {
        return assignPartition;
    }

    public void setAssignPartition(HmdPartitionModel assignPartition) {
        this.assignPartition = assignPartition;
    }
}
